Bug 682078

Summary: SELinux is preventing /usr/lib/xulrunner-2/plugin-container from 'name_connect' accesses on the tcp_socket port 5050.
Product: [Fedora] Fedora Reporter: Antonio A. Olivares <olivares14031>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 15CC: dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:3be3a40fcc05d78adc901565ff2d38672b82bea2b2f78589a9325d8b1a947f4a
Fixed In Version: selinux-policy-3.9.16-1.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-10 03:10:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Antonio A. Olivares 2011-03-04 02:54:43 UTC
SELinux is preventing /usr/lib/xulrunner-2/plugin-container from 'name_connect' accesses on the tcp_socket port 5050.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that plugin-container should be allowed name_connect access on the port 5050 tcp_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:mmcc_port_t:s0
Target Objects                port 5050 [ tcp_socket ]
Source                        plugin-containe
Source Path                   /usr/lib/xulrunner-2/plugin-container
Port                          5050
Host                          (removed)
Source RPM Packages           xulrunner-2.0-0.25.b12.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.15-2.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.38-0.rc5.git1.1.fc15.i686 #1 SMP Thu Feb 17
                              02:06:03 UTC 2011 i686 i686
Alert Count                   1
First Seen                    Thu 03 Mar 2011 08:50:35 PM CST
Last Seen                     Thu 03 Mar 2011 08:50:35 PM CST
Local ID                      afb8cabc-0526-4409-8185-8412c24eceba

Raw Audit Messages
type=AVC msg=audit(1299207035.257:659): avc:  denied  { name_connect } for  pid=18862 comm="plugin-containe" dest=5050 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mmcc_port_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1299207035.257:659): arch=i386 syscall=socketcall success=yes exit=0 a0=3 a1=b48fe080 a2=8d2b614 a3=0 items=0 ppid=18721 pid=18862 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm=plugin-containe exe=/usr/lib/xulrunner-2/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,mmcc_port_t,tcp_socket,name_connect

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t mmcc_port_t:tcp_socket name_connect;

audit2allow -R

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t mmcc_port_t:tcp_socket name_connect;

Comment 1 Miroslav Grepl 2011-03-04 11:01:53 UTC
Will be fixed in the next F15 release.

Comment 2 Fedora Update System 2011-03-08 15:41:03 UTC
selinux-policy-3.9.16-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-1.fc15

Comment 3 Fedora Update System 2011-03-10 03:10:11 UTC
selinux-policy-3.9.16-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.